Skip to content

/api/v1/facilities/{facilityId}/routing/journeys

GET
/api/v1/facilities/{facilityId}/routing/journeys
curl --request GET \
--url 'https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/routing/journeys?Status=InTransit' \
--header 'Authorization: Bearer <token>'
facilityId
required
string format: uuid
From
string format: date-time
To
string format: date-time
ContainerCode
string
DestinationCode
string
Status
string
Allowed values: InTransit Arrived Exception Loaded Superseded
Exception
boolean
Page
integer format: int32
PageSize
integer format: int32
Sort
string

OK

object
items
required
Array<object>
object
id
required
string format: uuid
facilityId
required
string format: uuid
containerCode
required
string
containerKind
required
string
Allowed values: PickTote BatchTote ShippingCarton Unknown
destination
required
object
id
required
string format: uuid
code
required
string
destinationType
required
string
nullable
Allowed values: PackStation PutWallInduction ShipSortLane Exception
topologyVersion
required
integer format: int32
status
required
string
Allowed values: InTransit Arrived Exception Loaded Superseded
inductionNodeCode
required
string
lastNodeCode
required
string
recirculations
required
integer format: int32
orderIds
required
Array<string>
shipmentId
required
string format: uuid
nullable
raisedException
required
boolean
inductedAt
required
string format: date-time
arrivedAt
required
string format: date-time
nullable
updatedAt
required
string format: date-time
page
required
integer format: int32
pageSize
required
integer format: int32
totalCount
required
integer format: int32

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable